tigase.jaxmpp.core.client.xmpp.stanzas

## Enum StanzaType

- java.lang.Object
- - java.lang.Enum<StanzaType>
  - - tigase.jaxmpp.core.client.xmpp.stanzas.StanzaType

- All Implemented Interfaces:
    Serializable, Comparable<StanzaType>

      public enum StanzaType
      extends Enum<StanzaType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `chat`
    `error` The stanza reports an error that has occurred regarding processing or delivery of a get or set request.
    `get` The stanza requests information, inquires about what data is needed in order to complete further operations, etc.
    `groupchat`
    `headline`
    `normal`
    `probe`
    `result` The stanza is a response to a successful get or set request.
    `set` The stanza provides data that is needed for an operation to be completed, sets new values, replaces existing values, etc.
    `subscribe`
    `subscribed`
    `unavailable`
    `unsubscribe`
    `unsubscribed`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StanzaType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static StanzaType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### chat

          public static final StanzaType chat

    - #### error

          public static final StanzaType error

      The stanza reports an error that has occurred regarding processing or delivery of a get or set request.

    - #### get

          public static final StanzaType get

      The stanza requests information, inquires about what data is needed in order to complete further operations, etc.

    - #### groupchat

          public static final StanzaType groupchat

    - #### headline

          public static final StanzaType headline

    - #### normal

          public static final StanzaType normal

    - #### probe

          public static final StanzaType probe

    - #### result

          public static final StanzaType result

      The stanza is a response to a successful get or set request.

    - #### set

          public static final StanzaType set

      The stanza provides data that is needed for an operation to be completed, sets new values, replaces existing values, etc.

    - #### subscribe

          public static final StanzaType subscribe

    - #### subscribed

          public static final StanzaType subscribed

    - #### unavailable

          public static final StanzaType unavailable

    - #### unsubscribe

          public static final StanzaType unsubscribe

    - #### unsubscribed

          public static final StanzaType unsubscribed

  - ### Method Detail

    - #### values

          public static StanzaType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StanzaType c : StanzaType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StanzaType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Tigase. All rights reserved.